%if 0%{?fedora} < 13 || 0%{?rhel} < 7
    %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global desc Pytrailer is very simple python module using JSON and few simple \
regular expressions to simplify access to trailer information on \
www.apple.com/trailers.
%global sum Python module to simplify access to movie trailers on apple.com

Name:           pytrailer
Version:        0.6.1
Release:        2%{?dist}
Summary:        %{sum}
Group:          Development/Libraries
License:        LGPLv3
URL:            http://github.com/sochotnicky/%{name}
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-dateutil

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-dateutil

%description
%{desc}

%package -n     python2-%{name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{name}}

Requires:       python-dateutil
%description -n python2-%{name}
%{desc}

%package -n     python3-%{name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{name}}

Requires:       python3-dateutil
%description -n python3-%{name}
%{desc}

%prep
%setup -q

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{name}
%defattr(-,root,root,-)
%doc README ChangeLog
%license LICENSE
%{python_sitelib}/%{name}*
%{python_sitelib}/*.egg-info

%files -n python3-%{name}
%defattr(-,root,root,-)
%doc README ChangeLog
%license LICENSE
%{python3_sitelib}/%{name}*
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/__pycache__/*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 20 2016 Lumir Balhar <lbalhar@redhat.com> - 0.6.1-1
- Newest upstream release
- Python2/3 subpackages created - dependency resolved

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 29 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.6.0-1
- Update to latest upstream version

* Wed Oct 27 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.4-2
- Added __pycache__ contents to files

* Tue Oct 26 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.4-1
- New upstream version
- Python3 subpackage

* Fri Oct 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.1-2
- Fix License tag to match license of the package
- Change RPM_BUILD_ROOT to buildroot macro

* Fri Oct 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.3.1-1
- Initial version of package
